Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454363 - Grub does not exist in dependencies of anaconda
Summary: Grub does not exist in dependencies of anaconda
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 23:02 UTC by Cepreu
Modified: 2008-08-07 13:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 13:41:32 UTC


Attachments (Terms of Use)

Description Cepreu 2008-07-07 23:02:28 UTC
As i understand rpm and yum it is provide some and when you try to install
"brunch" of this tree via yum, all which need for work must be installed
automatically. But when i try to create installable live cd via livecd-tools, i
put anaconda in packages list in mys *.ks file. But it does not install on hard
drive with error message on final installation stage. So i find that problem in
grub package does not exist on live cd. When i add grub in packages list by
hands, all work. So i think it problem of anaconda rpm.

Comment 1 Chris Lumens 2008-08-04 17:23:11 UTC
Does your kickstart file include the @core group?  That group includes all the bootloaders for the various architectures we support.

Comment 2 Cepreu 2008-08-07 04:25:38 UTC
No, it does not include this line.

Comment 3 Andy Lindeberg 2008-08-07 13:41:32 UTC
Your kickstart file needs to include the @core group for grub to be installed properly. Please let us know if this does not fix the problem.


Note You need to log in before you can comment on or make changes to this bug.